Debian Bug report logs - #468213
linux-latest-2.6: please enable USB_PERSIST

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Eric Cooper <ecc@cmu.edu>

Date: Wed, 27 Feb 2008 18:57:01 UTC

Severity: wishlist

Fixed in version linux-2.6/2.6.25-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#468213; Package linux-latest-2.6. Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cmu.edu>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cmu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-latest-2.6: please enable USB_PERSIST
Date: Wed, 27 Feb 2008 13:53:08 -0500
Package: linux-latest-2.6
Severity: wishlist

On portable devices (laptops, PDAs) with memory card readers, it's
convenient to use a memory card for a filesystem like /home, or a swap
partition.  But without USB_PERSIST, one can't suspend and resume
these machines, because the memory card's device will change.
Enabling USB_PERSIST in the "standard" Debian kernels would fix this.

Although USB_PERSIST is described as dangerous, I argue that it
really isn't very:
   "Note that even when CONFIG_USB_PERSIST is set, the "persist" feature
    will be applied only to those devices for which it is enabled.  You
    can enable the feature by doing (as root):
	    echo 1 >/sys/bus/usb/devices/.../power/persist"
(source: Documentation/usb/persist.txt)

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (400, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package `linux-latest-2.6' to `linux-2.6'. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. (Wed, 27 Feb 2008 19:06:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Thu, 17 Apr 2008 13:36:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Cooper <ecc@cmu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 468213-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 468213-close@bugs.debian.org
Subject: Bug#468213: fixed in linux-2.6 2.6.25-1
Date: Mon, 28 Apr 2008 12:08:45 +0000
Source: linux-2.6
Source-Version: 2.6.25-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.25-1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.25-1.diff.gz
linux-2.6_2.6.25-1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.25-1.dsc
linux-2.6_2.6.25.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.25.orig.tar.gz
linux-doc-2.6.25_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.25_2.6.25-1_all.deb
linux-headers-2.6.25-1-all-amd64_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-1-all-amd64_2.6.25-1_amd64.deb
linux-headers-2.6.25-1-all_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-1-all_2.6.25-1_amd64.deb
linux-headers-2.6.25-1-amd64_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-1-amd64_2.6.25-1_amd64.deb
linux-headers-2.6.25-1-common_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.25-1-common_2.6.25-1_amd64.deb
linux-image-2.6.25-1-amd64_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.25-1-amd64_2.6.25-1_amd64.deb
linux-libc-dev_2.6.25-1_amd64.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.25-1_amd64.deb
linux-manual-2.6.25_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.25_2.6.25-1_all.deb
linux-patch-debian-2.6.25_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.25_2.6.25-1_all.deb
linux-source-2.6.25_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.25_2.6.25-1_all.deb
linux-support-2.6.25-1_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.25-1_2.6.25-1_all.deb
linux-tree-2.6.25_2.6.25-1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.25_2.6.25-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468213@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Apr 2008 16:27:23 +0200
Source: linux-2.6
Binary: linux-source-2.6.25 linux-doc-2.6.25 linux-manual-2.6.25 linux-patch-debian-2.6.25 linux-tree-2.6.25 linux-support-2.6.25-1 linux-libc-dev linux-headers-2.6.25-1-all linux-headers-2.6.25-1-all-alpha linux-headers-2.6.25-1-common linux-image-2.6.25-1-alpha-generic linux-headers-2.6.25-1-alpha-generic linux-image-2.6.25-1-alpha-smp linux-headers-2.6.25-1-alpha-smp linux-image-2.6.25-1-alpha-legacy linux-headers-2.6.25-1-alpha-legacy linux-headers-2.6.25-1-all-amd64 linux-image-2.6.25-1-amd64 linux-headers-2.6.25-1-amd64 linux-headers-2.6.25-1-all-arm linux-image-2.6.25-1-footbridge linux-headers-2.6.25-1-footbridge linux-image-2.6.25-1-iop32x linux-headers-2.6.25-1-iop32x linux-image-2.6.25-1-ixp4xx linux-headers-2.6.25-1-ixp4xx linux-image-2.6.25-1-orion5x linux-headers-2.6.25-1-orion5x linux-headers-2.6.25-1-all-armel linux-image-2.6.25-1-versatile linux-headers-2.6.25-1-versatile linux-headers-2.6.25-1-all-hppa linux-image-2.6.25-1-parisc linux-headers-2.6.25-1-parisc linux-image-2.6.25-1-parisc-smp linux-headers-2.6.25-1-parisc-smp linux-image-2.6.25-1-parisc64 linux-headers-2.6.25-1-parisc64 linux-image-2.6.25-1-parisc64-smp linux-headers-2.6.25-1-parisc64-smp linux-headers-2.6.25-1-all-i386 linux-image-2.6.25-1-486 linux-headers-2.6.25-1-486 linux-image-2.6.25-1-686 linux-headers-2.6.25-1-686 linux-image-2.6.25-1-686-bigmem linux-headers-2.6.25-1-686-bigmem linux-headers-2.6.25-1-common-xen linux-image-2.6.25-1-xen-686 linux-modules-2.6.25-1-xen-686 linux-headers-2.6.25-1-xen-686 linux-headers-2.6.25-1-all-ia64 linux-image-2.6.25-1-itanium linux-headers-2.6.25-1-itanium linux-image-2.6.25-1-mckinley linux-headers-2.6.25-1-mckinley linux-headers-2.6.25-1-all-m68k linux-image-2.6.25-1-amiga linux-headers-2.6.25-1-amiga linux-image-2.6.25-1-atari linux-headers-2.6.25-1-atari linux-image-2.6.25-1-bvme6000 linux-headers-2.6.25-1-bvme6000 linux-image-2.6.25-1-mac linux-headers-2.6.25-1-mac linux-image-2.6.25-1-mvme147 linux-headers-2.6.25-1-mvme147 linux-image-2.6.25-1-mvme16x linux-headers-2.6.25-1-mvme16x linux-headers-2.6.25-1-all-mips linux-image-2.6.25-1-r4k-ip22 linux-headers-2.6.25-1-r4k-ip22 linux-image-2.6.25-1-r5k-ip32 linux-headers-2.6.25-1-r5k-ip32 linux-image-2.6.25-1-sb1-bcm91250a linux-headers-2.6.25-1-sb1-bcm91250a linux-image-2.6.25-1-sb1a-bcm91480b linux-headers-2.6.25-1-sb1a-bcm91480b linux-image-2.6.25-1-4kc-malta linux-headers-2.6.25-1-4kc-malta linux-image-2.6.25-1-5kc-malta linux-headers-2.6.25-1-5kc-malta linux-headers-2.6.25-1-all-mipsel linux-image-2.6.25-1-r5k-cobalt linux-headers-2.6.25-1-r5k-cobalt linux-headers-2.6.25-1-all-powerpc linux-image-2.6.25-1-powerpc linux-headers-2.6.25-1-powerpc linux-image-2.6.25-1-powerpc-smp linux-headers-2.6.25-1-powerpc-smp linux-image-2.6.25-1-powerpc-miboot linux-headers-2.6.25-1-powerpc-miboot linux-image-2.6.25-1-powerpc64 linux-headers-2.6.25-1-powerpc64 linux-headers-2.6.25-1-all-s390 linux-image-2.6.25-1-s390 linux-headers-2.6.25-1-s390 linux-image-2.6.25-1-s390-tape linux-image-2.6.25-1-s390x linux-headers-2.6.25-1-s390x linux-headers-2.6.25-1-all-sparc linux-image-2.6.25-1-sparc64 linux-headers-2.6.25-1-sparc64 linux-image-2.6.25-1-sparc64-smp linux-headers-2.6.25-1-sparc64-smp
Architecture: source all amd64
Version: 2.6.25-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.25 - Linux kernel specific documentation for version 2.6.25
 linux-headers-2.6.25-1-486 - Header files for Linux 2.6.25 on x86
 linux-headers-2.6.25-1-4kc-malta - Header files for Linux 2.6.25 on MIPS Malta
 linux-headers-2.6.25-1-5kc-malta - Header files for Linux 2.6.25 on MIPS Malta (64-bit)
 linux-headers-2.6.25-1-686 - Header files for Linux 2.6.25 on PPro/Celeron/PII/PIII/P4
 linux-headers-2.6.25-1-686-bigmem - Header files for Linux 2.6.25 on PPro/Celeron/PII/PIII/P4
 linux-headers-2.6.25-1-all - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-alpha - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-amd64 - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-arm - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-armel - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-hppa - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-i386 - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-ia64 - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-m68k - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-mips - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-mipsel - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-powerpc - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-s390 - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-all-sparc - All header files for Linux 2.6.25
 linux-headers-2.6.25-1-alpha-generic - Header files for Linux 2.6.25 on Alpha
 linux-headers-2.6.25-1-alpha-legacy - Header files for Linux 2.6.25 on Alpha Legacy
 linux-headers-2.6.25-1-alpha-smp - Header files for Linux 2.6.25 on Alpha SMP
 linux-headers-2.6.25-1-amd64 - Header files for Linux 2.6.25 on AMD64
 linux-headers-2.6.25-1-amiga - Header files for Linux 2.6.25 on Amiga
 linux-headers-2.6.25-1-atari - Header files for Linux 2.6.25 on Atari
 linux-headers-2.6.25-1-bvme6000 - Header files for Linux 2.6.25 on BVM BVME4000 and BVME6000
 linux-headers-2.6.25-1-common - Common header files for Linux 2.6.25
 linux-headers-2.6.25-1-common-xen - Common header files for Linux 2.6.25
 linux-headers-2.6.25-1-footbridge - Header files for Linux 2.6.25 on Footbridge based
 linux-headers-2.6.25-1-iop32x - Header files for Linux 2.6.25 on IOP32x
 linux-headers-2.6.25-1-itanium - Header files for Linux 2.6.25 on Itanium
 linux-headers-2.6.25-1-ixp4xx - Header files for Linux 2.6.25 on IXP4xx
 linux-headers-2.6.25-1-mac - Header files for Linux 2.6.25 on Macintosh
 linux-headers-2.6.25-1-mckinley - Header files for Linux 2.6.25 on Itanium II
 linux-headers-2.6.25-1-mvme147 - Header files for Linux 2.6.25 on Motorola MVME147
 linux-headers-2.6.25-1-mvme16x - Header files for Linux 2.6.25 on Motorola MVME162/6/7, MVME172/7
 linux-headers-2.6.25-1-orion5x - Header files for Linux 2.6.25 on Orion
 linux-headers-2.6.25-1-parisc - Header files for Linux 2.6.25 on 32-bit PA-RISC
 linux-headers-2.6.25-1-parisc-smp - Header files for Linux 2.6.25 on multiprocessor 32-bit PA-RISC
 linux-headers-2.6.25-1-parisc64 - Header files for Linux 2.6.25 on 64-bit PA-RISC
 linux-headers-2.6.25-1-parisc64-smp - Header files for Linux 2.6.25 on multiprocessor 64-bit PA-RISC
 linux-headers-2.6.25-1-powerpc - Header files for Linux 2.6.25 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.25-1-powerpc-miboot - Header files for Linux 2.6.25 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.25-1-powerpc-smp - Header files for Linux 2.6.25 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.25-1-powerpc64 - Header files for Linux 2.6.25 on 64-bit PowerPC
 linux-headers-2.6.25-1-r4k-ip22 - Header files for Linux 2.6.25 on SGI IP22
 linux-headers-2.6.25-1-r5k-cobalt - Header files for Linux 2.6.25 on Cobalt
 linux-headers-2.6.25-1-r5k-ip32 - Header files for Linux 2.6.25 on SGI IP32
 linux-headers-2.6.25-1-s390 - Header files for Linux 2.6.25 on IBM S/390
 linux-headers-2.6.25-1-s390x - Header files for Linux 2.6.25 on IBM zSeries
 linux-headers-2.6.25-1-sb1-bcm91250a - Header files for Linux 2.6.25 on BCM91250A
 linux-headers-2.6.25-1-sb1a-bcm91480b - Header files for Linux 2.6.25 on BCM91480B
 linux-headers-2.6.25-1-sparc64 - Header files for Linux 2.6.25 on uniprocessor 64-bit UltraSPARC
 linux-headers-2.6.25-1-sparc64-smp - Header files for Linux 2.6.25 on multiprocessor 64-bit UltraSPARC
 linux-headers-2.6.25-1-versatile - Header files for Linux 2.6.25 on Versatile
 linux-headers-2.6.25-1-xen-686 - Header files for Linux 2.6.25 on i686
 linux-image-2.6.25-1-486 - Linux 2.6.25 image on x86
 linux-image-2.6.25-1-4kc-malta - Linux 2.6.25 image on MIPS Malta
 linux-image-2.6.25-1-5kc-malta - Linux 2.6.25 image on MIPS Malta (64-bit)
 linux-image-2.6.25-1-686 - Linux 2.6.25 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.25-1-686-bigmem - Linux 2.6.25 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.25-1-alpha-generic - Linux 2.6.25 image on Alpha
 linux-image-2.6.25-1-alpha-legacy - Linux 2.6.25 image on Alpha Legacy
 linux-image-2.6.25-1-alpha-smp - Linux 2.6.25 image on Alpha SMP
 linux-image-2.6.25-1-amd64 - Linux 2.6.25 image on AMD64
 linux-image-2.6.25-1-amiga - Linux 2.6.25 image on Amiga
 linux-image-2.6.25-1-atari - Linux 2.6.25 image on Atari
 linux-image-2.6.25-1-bvme6000 - Linux 2.6.25 image on BVM BVME4000 and BVME6000
 linux-image-2.6.25-1-footbridge - Linux 2.6.25 image on Footbridge based
 linux-image-2.6.25-1-iop32x - Linux 2.6.25 image on IOP32x
 linux-image-2.6.25-1-itanium - Linux 2.6.25 image on Itanium
 linux-image-2.6.25-1-ixp4xx - Linux 2.6.25 image on IXP4xx
 linux-image-2.6.25-1-mac - Linux 2.6.25 image on Macintosh
 linux-image-2.6.25-1-mckinley - Linux 2.6.25 image on Itanium II
 linux-image-2.6.25-1-mvme147 - Linux 2.6.25 image on Motorola MVME147
 linux-image-2.6.25-1-mvme16x - Linux 2.6.25 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.25-1-orion5x - Linux 2.6.25 image on Orion
 linux-image-2.6.25-1-parisc - Linux 2.6.25 image on 32-bit PA-RISC
 linux-image-2.6.25-1-parisc-smp - Linux 2.6.25 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.25-1-parisc64 - Linux 2.6.25 image on 64-bit PA-RISC
 linux-image-2.6.25-1-parisc64-smp - Linux 2.6.25 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.25-1-powerpc - Linux 2.6.25 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.25-1-powerpc-miboot - Linux 2.6.25 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.25-1-powerpc-smp - Linux 2.6.25 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.25-1-powerpc64 - Linux 2.6.25 image on 64-bit PowerPC
 linux-image-2.6.25-1-r4k-ip22 - Linux 2.6.25 image on SGI IP22
 linux-image-2.6.25-1-r5k-cobalt - Linux 2.6.25 image on Cobalt
 linux-image-2.6.25-1-r5k-ip32 - Linux 2.6.25 image on SGI IP32
 linux-image-2.6.25-1-s390 - Linux 2.6.25 image on IBM S/390
 linux-image-2.6.25-1-s390-tape - Linux 2.6.25 image on IBM S/390 tape
 linux-image-2.6.25-1-s390x - Linux 2.6.25 image on IBM zSeries
 linux-image-2.6.25-1-sb1-bcm91250a - Linux 2.6.25 image on BCM91250A
 linux-image-2.6.25-1-sb1a-bcm91480b - Linux 2.6.25 image on BCM91480B
 linux-image-2.6.25-1-sparc64 - Linux 2.6.25 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.25-1-sparc64-smp - Linux 2.6.25 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.25-1-versatile - Linux 2.6.25 image on Versatile
 linux-image-2.6.25-1-xen-686 - Linux 2.6.25 image on i686
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.25 - Linux kernel API manual pages for version 2.6.25
 linux-modules-2.6.25-1-xen-686 - Linux 2.6.25 modules on i686
 linux-patch-debian-2.6.25 - Debian patches to version 2.6.25 of the Linux kernel
 linux-source-2.6.25 - Linux kernel source for version 2.6.25 with Debian patches
 linux-support-2.6.25-1 - Support files for Linux 2.6.25
 linux-tree-2.6.25 - Linux kernel source tree for building Debian kernel images
Closes: 366165 388309 403171 406056 407816 417324 441348 449247 453911 456799 462677 463200 465512 468213 468440 470558 471007 473136 474509 475134 475161 475441 475525 477589 477745
Changes: 
 linux-2.6 (2.6.25-1) unstable; urgency=low
 .
   * New upstream release (closes: #456799, #468440, #475161, #475134, #475441)
     - Add oabi shim for fstatat64 (closes: #462677)
 .
   [ maximilian attems ]
   * topconfig set NOZOMI, CRYPTO_SEQIV, CRYPTO_CTR, CRYPTO_GCM, CRYPTO_CCM,
     CRYPTO_SALSA20, CRYPTO_LZO, CRYPTO_DEV_HIFN_795X, USB_SI470X,
     USB_STKWEBCAM, VIDEO_PVRUSB2_ONAIR_USB2, VIDEO_PVRUSB2_ONAIR_CREATOR,
     VIDEO_EM28XX_ALSA, CRYPTO_DEV_HIFN_795X_RNG, PCF8575, TPS65010, RTL8180,
     ENC28J60, R6040, CAN, NETFILTER_XT_MATCH_OWNER, MAC80211_RC_DEFAULT_PI,
     NETFILTER_XT_TARGET_RATEEST, NETFILTER_XT_TARGET_TCPOPTSTRIP,
     NETFILTER_XT_MATCH_IPRANGE, NETFILTER_XT_MATCH_RATEEST, SND_OXYGEN,
     SND_HIFIER, SND_VIRTUOSO, USB_NET_RNDIS_WLAN, USB_ANNOUNCE_NEW_DEVICES,
     USB_SERIAL_IUU, NET_CLS_FLOW, INFINIBAND_NES, RTC_DRV_R9701,
     RTC_DRV_DS1511, MEMSTICK, SENSORS_W83L786NG, SENSORS_ADS7828, IPWIRELESS,
     RISCOM8, IGB, UTS_NS, IPC_NS, IPV6_ROUTE_INFO, ENCLOSURE_SERVICES,
     SCSI_ENCLOSURE, SENSORS_ADT7473, SCSI_MVSAS, REALTEK_PHY, RTC_DRV_S35390A,
     MEMSTICK_JMICRON_38X, IWL4965_HT.
   * [amd64] Enable CRYPTO_SALSA20_X86_64, EDAC_I3000, EFI, EFI_VARS, I8K,
     PARAVIRT_GUEST, PARAVIRT, VIRTIO_PCI, VIRTIO_BALLOON, SPARSEMEM_VMEMMAP.
   * [amd64, i386]: Enable LEDS_CLEVO_MAIL, INPUT_APANEL, ACER_WMI,
     THINKPAD_ACPI_HOTKEY_POLL, HP_WATCHDOG, THINKPAD_ACPI_VIDEO,
     VIRTION_CONSOLE, ACPI_WMI, IO_DELAY_0X80.
   * topconfig disable PARPORT_PC_FIFO due to instabilities.
     (closes: #366165, #388309, #406056, #407816, #453911)
   * [amd64, i386]: Enable SONYPI_COMPAT for better sony laptop support.
   * topconfig: Enable HID_FF for some HID devices. (closes: #441348)
   * topconfig: Enable IPV6_ROUTER_PREF for multi-homed net. (closes: #449247)
   * topconfig: Set UTF8 as default encoding. (closes: #417324)
   * Tighten yaird dependency. (closes: #403171)
   * Configs general cleanup, centralize USB_NET, disable IRDA_DEBUG.
   * postinst: Nuke confusing postinst message. (closes: #465512)
   * [sparc]: Enable SCSI_SCAN_ASYNC.
   * [i386]: Enable TC1100_WMI, SND_SIS7019, CRYPTO_SALSA20_586.
   * topconfig: Centralize old IEEE80211 stack options. (closes: #470558)
   * control.source.in: Newer standard version without changes.
   * copyright: adapt to latest lintian recommendation.
   * input: Add 4 additional exports for modular speakup and braille support.
   * firewire: Add firewire-git.patch for latest firewire tree features.
   * 686: Set USB_PERSIST for eee pc suspend support. (closes: #468213)
   * topconfig disable PATA_SIS as sis5513 enabled. (closes: #475525)
   * [xen]: Support direct load of bzImage under Xen. (closes: #474509)
     Thanks Ian Campbell <ijc@hellion.org.uk> for patches.
   * [xen]: Module autoprobing support for frontend drivers.
   * [arm]: Don't ovverride topconfig SENSORS_W83792D setting.
     (closes: #477745)
 .
   [ Martin Michlmayr ]
   * [arm/armel] Add a kernel for Orion based devices, such as the QNAP
     TS-109/TS-209.
   * [mips(el)/sb1*] Enable SB1250_MAC (thanks Thomas Bogendoerfer).
   * [mipsel/r5k-cobalt] Enable DUMMY_CONSOLE since this might
     fix the debian-installer startup hang on Qube 2700.
   * [arm/footbridge] Disable KEYS and SECURITY for smaller d-i image.
   * [arm/footbridge] Build NFS as a module to make the image smaller.
   * [mips/r5k-ip32] Don't build in NFS.
   * [mips/r5k-ip32] Use the generic config options for NFS, which will
     enable NFSv4. (closes: #471007)
   * [mips/r5k-ip32] Enable R8169, requested by Giuseppe Sacco.
   * [arm/iop32x] Enable MACH_EM7210. (closes: #473136)
   * [arm/orion] Add patch to set the MAC address on QNAP TS-109/TS-209
     (Lennert Buytenhek).
   * [arm/orion] Add support for Buffalo Linkstation Pro/Live (Byron Bradley).
   * [arm/orion] Fix hang when Write Allocate is enabled (Lennert Buytenhek).
   * [arm/orion] Add support for QNAP TS-409 (Sylver Bruneau).
   * [arm/orion] Add preliminary support for HP mv2120.
 .
   [ Daniel Baumann ]
   * Added patch from unionfs upstream to export release_open_intent symbol.
 .
   [ Gordon Farquharson ]
   * [arm/ixp4xx] Use GPIO LED driver as opposed to ixp4xx LED driver.
   * [arm/ixp4xx] Fix ixp4xx-beeper module so that udev loads it
     automatically.
   * [arm/iop32x] Enable support for the GLAN Tank flash chip (M29W400DB).
   * [arm/iop32x] Do not build the ARTOP PATA driver (PATA_ARTOP).
   * [arm/iop32x] Register the F75375 device in the GLAN Tank platform code.
   * Prevent physmap from calling request_module() too early.
   * [arm/ixp4xx] Fix used_sram_bitmap corruption in qmgr_release_queue().
 .
   [ Aurelien Jarno ]
   * [mips/mipsel] Enable CONFIG_NO_HZ, CONFIG_HIGH_RES_TIMERS for dynticks
     and true high-resolution timers on 4kc-malta and 5kc-malta flavours.
   * [i386, amd64] Set modular VIRTIO, VIRTIO_RING, VIRTIO_BLK, VIRTIO_NET.
 .
   [ Bastian Blank ]
   * Remove binary only firmwares for:
     - Broadcom NetXtremeII 10Gb support
   * Disable now broken drivers:
     - Broadcom NetXtremeII 10Gb support
   * Fix broken drivers:
     - Broadcom NetXtremeII support
   * [powerpc] Use new wrapper install support.
   * [s390] Enable DM_MULTIPATH_EMC.
   * Enable AF_RXRPC, RXKAD, PRINTK_TIME, DEBUG_KERNEL, SCHED_DEBUG,
     TIMER_STATS, DEBUG_FS.
   * Disable R3964, USB_GADGET.
   * [hppa] Enable several filesystems.
   * Make NLS modular.
   * [i386/486] Make ext2 modular.
   * [alpha,amd64,i386] Make ATM modular.
   * [powerpc/powerpc64] Support PA Semi based plattforms. (closes: #463200)
   * Follow upstream change for default TCP congestion control.
     (closes: #477589)
 .
   [ Steve Langasek ]
   * topconfig: Enable CONFIG_CIFS_WEAK_PW_HASH, required for compatibility
     with legacy (pre-NTLM) fileservers.
 .
   [ Christian Perrier ]
   * Debconf template rewrite + mark them as translatable.
     Thanks to Justin B Rye <jbr@edlug.org.uk> for review.
Checksums-Sha1: 
 a834a78c4e7b731562e8291e128549e1d5da0275 4754 linux-2.6_2.6.25-1.dsc
 57cb4a347fcc2fc79ddd56b995e79067719ebdc6 60681485 linux-2.6_2.6.25.orig.tar.gz
 30b4b50b41029628cbdc09d66d889af7b2325dc5 750764 linux-2.6_2.6.25-1.diff.gz
 ed2ca18ecba907512ae7d28065d2fdd4503e49c7 4717832 linux-doc-2.6.25_2.6.25-1_all.deb
 a9d9aba9459209cc1f35dda97268bebb28f7863c 1716274 linux-manual-2.6.25_2.6.25-1_all.deb
 5aa141c778bcf553ab8e05108581c21aec33ccbf 489132 linux-patch-debian-2.6.25_2.6.25-1_all.deb
 2f0827481fcf0766142fadce0c60862ff36c2518 48502274 linux-source-2.6.25_2.6.25-1_all.deb
 325f1bd581550c18d1a406cc871531b5e5d34af1 95068 linux-support-2.6.25-1_2.6.25-1_all.deb
 f332d913865790a965ab0e6072eaa0a9cafab52e 80242 linux-tree-2.6.25_2.6.25-1_all.deb
 1ed8ee3f8fe9723955b96e5aa256d2c0b7da682e 20012532 linux-image-2.6.25-1-amd64_2.6.25-1_amd64.deb
 efceab3073d5a97b15f5aaabd015822f1f3d132e 353042 linux-headers-2.6.25-1-amd64_2.6.25-1_amd64.deb
 4c1d80dc3f54152aabe535993712bfdb418223f1 3707894 linux-headers-2.6.25-1-common_2.6.25-1_amd64.deb
 9ab8d68568831bf8e172efc3052a83cc4baca337 79916 linux-headers-2.6.25-1-all_2.6.25-1_amd64.deb
 9461ecb519b7b71f37ce10be4b59b4f38cd491c7 79930 linux-headers-2.6.25-1-all-amd64_2.6.25-1_amd64.deb
 e69d59244f690fd7bc02d1090f79b7c53ac681c7 723794 linux-libc-dev_2.6.25-1_amd64.deb
Checksums-Sha256: 
 4078ae9fe14523a8f0a50c978347672cb3496c6b348d355b0ca38344ad326c73 4754 linux-2.6_2.6.25-1.dsc
 6f87f28abc77d77dd48ca8c6bfe3686640b53bee85bc364b9e6655dca1385d28 60681485 linux-2.6_2.6.25.orig.tar.gz
 7db09fbd2eb714491cd4daf694cebd41306f8f6a52ecc24ec83d66f7ec528bb5 750764 linux-2.6_2.6.25-1.diff.gz
 b0b48433e968ffefd6df198e5d938bef74ec89c7ef25afa5a390f7e181fa3278 4717832 linux-doc-2.6.25_2.6.25-1_all.deb
 c865e43e2cec5987582c6d078eae66fef2b83e814eb6953ae666a7549e079032 1716274 linux-manual-2.6.25_2.6.25-1_all.deb
 aaf653e39e14695144be2a6d8ffa285a6f0f63c774a5e88c2e17fdcedf537721 489132 linux-patch-debian-2.6.25_2.6.25-1_all.deb
 64ea3a4309bc940569a0804a66a50c1a005c9c8cda74c0cf5cb43d6bf3109ab1 48502274 linux-source-2.6.25_2.6.25-1_all.deb
 56d5b2203da38e24ad09ca5e65306ea150bbd7512df664c0df25020fc504a026 95068 linux-support-2.6.25-1_2.6.25-1_all.deb
 c931e1c4e99d20633bb518cc69e59231e646f8fb77e3bea1e062d990e8bef301 80242 linux-tree-2.6.25_2.6.25-1_all.deb
 583067364537c3dc04ea93a909406678dacbcf46bd1e8d54588e5dd99251313b 20012532 linux-image-2.6.25-1-amd64_2.6.25-1_amd64.deb
 6885b6358f1974a142a69d2b916169c16b81d213aa8ded917ff7a6aa1ded0d50 353042 linux-headers-2.6.25-1-amd64_2.6.25-1_amd64.deb
 de0be753faeaff0a384a6f7750165987281c49f621e2f50024aa92d55558e10e 3707894 linux-headers-2.6.25-1-common_2.6.25-1_amd64.deb
 2a2f69c47192c60957c91e4279689c87ad23ffb708115a3ebff9b409046bbfad 79916 linux-headers-2.6.25-1-all_2.6.25-1_amd64.deb
 4308d3a126f215bf814335ef8a93a7dddadc7526b95c6130994a8b64ac43e73b 79930 linux-headers-2.6.25-1-all-amd64_2.6.25-1_amd64.deb
 59422d28dc095b324afcffab1ef78d4a59bc4abb91d7d3507b4248f6ab0a2132 723794 linux-libc-dev_2.6.25-1_amd64.deb
Files: 
 53e51a8e6b1f95d615eb10e0c51f2fab 4754 devel optional linux-2.6_2.6.25-1.dsc
 db0bd2864600ab7dfa7ae4b31e7aa5ae 60681485 devel optional linux-2.6_2.6.25.orig.tar.gz
 21888745594edd3ce0bedff0771181c7 750764 devel optional linux-2.6_2.6.25-1.diff.gz
 016c58c6bd657ef7402bfa0ad862300e 4717832 doc optional linux-doc-2.6.25_2.6.25-1_all.deb
 574044bfd08fe78a6c0914a6a7beb02c 1716274 doc optional linux-manual-2.6.25_2.6.25-1_all.deb
 7a629b25a90a08b28c69935dca55f895 489132 devel optional linux-patch-debian-2.6.25_2.6.25-1_all.deb
 7ef5956e893545e326b581268805cbaf 48502274 devel optional linux-source-2.6.25_2.6.25-1_all.deb
 d5dad9287a9aee45dfa21e89cb2f24ba 95068 devel optional linux-support-2.6.25-1_2.6.25-1_all.deb
 14fb0030d843cd027da896b564efd858 80242 devel optional linux-tree-2.6.25_2.6.25-1_all.deb
 45217037fc1fb81dd08dc81775fd3cf8 20012532 admin optional linux-image-2.6.25-1-amd64_2.6.25-1_amd64.deb
 d1cf93cac5e1ba0747c49f63901271da 353042 devel optional linux-headers-2.6.25-1-amd64_2.6.25-1_amd64.deb
 a86bb420ad220b97b38b8ab5227a95dc 3707894 devel optional linux-headers-2.6.25-1-common_2.6.25-1_amd64.deb
 f2595b053170958a84d9015e31879924 79916 devel optional linux-headers-2.6.25-1-all_2.6.25-1_amd64.deb
 fb13ced4de7acae24638fa46f9040642 79930 devel optional linux-headers-2.6.25-1-all-amd64_2.6.25-1_amd64.deb
 d81777d2ac8b6a2daeaa696d8d60a9b5 723794 devel optional linux-libc-dev_2.6.25-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkgR9z4ACgkQxWtQqFixGB7nWwCeNHtF9JyCnC64BlqvKxjWqK/Y
dfwAnjVa0gnDYirfVg80fHnZ+HSUzd0T
=h1lA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 May 2008 07:27:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:06:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.